Bug 247765 - The install/README on ISO points to old or nonexistent locations
The install/README on ISO points to old or nonexistent locations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
500
All Linux
low Severity low
: ---
: ---
Assigned To: Clifford Perry
Steve Salevan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 07:12 EDT by Jan Pazdziora
Modified: 2007-08-29 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat501
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 11:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
I suggest the following patch to fix the pointers. (1.23 KB, patch)
2007-07-11 07:12 EDT, Jan Pazdziora
no flags Details | Diff

  None (edit)
Description Jan Pazdziora 2007-07-11 07:12:34 EDT
Description of problem:

The file install/README, which happens to be the only good README on the ISO
(see bug 245940 to see why), is pointing to
https://rhn.redhat.com/rhn/help/satellite/rhn405/en/ch-requirements.jsp, and to
docs/ directory on that ISO, which does not exist.

Version-Release number of selected component (if applicable):

Satellite ISO 5.0.0-43

How reproducible:

Deterministic -- the README is static.

Steps to Reproduce:
1. Look into the README.
  
Actual results:

See above.

Expected results:

Pointers to current 5.0.0 documentation.

Additional info:
Comment 1 Jan Pazdziora 2007-07-11 07:12:34 EDT
Created attachment 158934 [details]
I suggest the following patch to fix the pointers.
Comment 2 Jan Pazdziora 2007-07-11 07:18:43 EDT
I've filed bug 247762 to get the doc/ directory either removed from the ISO or
populated with content. The primary focus of this bugzilla should be to fix the
working of the README to just point to
http://www.redhat.com/docs/manuals/satellite/.
Comment 3 Jan Pazdziora 2007-07-12 07:20:25 EDT
Setting flags. Ideally we will fix this even before 5.0.1.
Comment 5 Clifford Perry 2007-07-16 13:02:26 EDT
[cperry@dhcp59-213 install]$ cvs ci README
This rsh session is encrypting input/output data transmissions.
**** Access allowed: cperry is in ACL for rhn/satellite/install.
Checking in README;
/cvs/rhn/rhn/satellite/install/README,v  <--  README
new revision: 1.3; previous revision: 1.2
done
Running syncmail...
Mailing satellite-commit-list@redhat.com...
...syncmail done.
[cperry@dhcp59-213 install]$
Comment 6 Clifford Perry 2007-07-16 14:02:19 EDT
SCOPE of new Satellite 5.0 ISO

We want when compared to the current production released ISO the following two
files different:

/README
/install/README

On the new ISO the content of these README files is such:

First is top level ISO README:
http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/rhn/satellite/docs/README?rev=1.3;content-type=text%2Fplain;cvsroot=RHN;f=h

The second is ./install/README:
http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/rhn/satellite/install/README?rev=1.4;content-type=text%2Fplain;cvsroot=RHN;f=h


Testplan for QA:
1) Make sure the changes to the README on ISOs match above links
2) Make sure the content for the README's are sane
 - no missing/broken URL's
 - usage of English looks good
 - We dont have 'bad' branding, such as RHEL, or inconsistent references to our
products name/brands
3) Make sure the ISO installs! 
4) Ensure that the only changes are to the README files, everything else on ISO
is exactly the same. 

Cliff. 
Comment 7 Steve Salevan 2007-07-17 09:46:26 EDT
These READMEs look good, containing both working URLs and text that demonstrates
a firm grasp of English grammar.  The ISO installs and works as well as any
other Satellite ISO I've installed, so I believe that we can move this bug into
the VERIFIED state.
Comment 8 Steve Salevan 2007-07-17 11:36:38 EDT
Moving to RELEASE_PENDING.
Comment 9 Brandon Perkins 2007-07-19 12:12:36 EDT
Back to Modified to be re-checked in 501... it has been verified in 500-respin.
Comment 10 John Ha 2007-08-01 17:48:29 EDT
I'm assuming, like bugzilla #245940, that there is no need to mention this in
the release notes. 
Comment 11 Clifford Perry 2007-08-01 21:44:44 EDT
Correct :) 
Comment 12 Steve Salevan 2007-08-03 10:33:45 EDT
Moving to VERIFIED; looks good in 501.
Comment 13 Corey Welton 2007-08-27 11:12:26 EDT
RELEASE_PENDING

Note You need to log in before you can comment on or make changes to this bug.